> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Connections

> List all the connections for a given Organization.



## OpenAPI

````yaml get /provisioning/organizations/{organization_id}/connections
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /provisioning/organizations/{organization_id}/connections:
    get:
      tags:
        - provisioning
      summary: List Connections
      description: List all the connections for a given Organization.
      operationId: list_connections
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Organization Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Equality Filter for Connection id
            title: Id
          description: Equality Filter for Connection id
        - name: identifier
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Equality Filter for Connection identifier
            title: Identifier
          description: Equality Filter for Connection identifier
        - name: vendor
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ConnectionVendorEnum'
              - type: 'null'
            description: Equality Filter for Connection vendor
            title: Vendor
          description: Equality Filter for Connection vendor
        - name: healthStatus
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ConnectionHealthStatusEnum'
              - type: 'null'
            description: Equality Filter for Connection health status (HEALTHY/UNHEALTHY)
            examples:
              - HEALTHY
              - UNHEALTHY
            title: Healthstatus
          description: Equality Filter for Connection health status (HEALTHY/UNHEALTHY)
        - name: healthStatusCodes
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter Connection by health status name, comma separated
            examples:
              - UNAUTHORIZED,EXECUTION_TIMEOUT
            title: Healthstatuscodes
          description: Filter Connection by health status name, comma separated
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/OffsetPaginatedResponse_ConnectionRespModel_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - API-Key: []
components:
  schemas:
    ConnectionVendorEnum:
      type: string
      enum:
        - SEMGREP
        - SENTINELONE_VMS
        - SENTINELONE
        - AIKIDO
        - ORCA
        - AWS_INSPECTOR2
        - AWS_ACCESS_ANALYSER
        - AWS_SECURITYHUB
        - INSIGHTVM
        - MS_DEFENDER_VMS
        - MS_ENTRA
        - MS_DEFENDER_VMS_GCC_HIGH
        - MS_DEFENDER_CLOUD
        - MS_DEFENDER_ENDPOINT
        - JIRA
        - QUALYS
        - GITHUB
        - ARNICA
        - SNYK
        - TANIUM_VMS
        - GITLAB
        - MEND
        - SERVICENOW
        - UPWIND
        - TENABLE
        - CHECKMARX
        - CROWDSTRIKE_SPOTLIGHT
        - CROWDSTRIKE
        - BLACK_KITE
        - BIT_SIGHT
        - LACEWORK_CSPM
        - WIZ_VMS
        - WIZ_CODE
        - OKTA_IDP
      title: ConnectionVendorEnum
    ConnectionHealthStatusEnum:
      type: string
      enum:
        - HEALTHY
        - UNHEALTHY
        - INITIALIZING
      title: ConnectionHealthStatusEnum
    OffsetPaginatedResponse_ConnectionRespModel_:
      properties:
        count:
          type: integer
          title: Count
          description: Number of items return in the response
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
          description: Total number of items that can be returned
        items:
          items:
            $ref: '#/components/schemas/ConnectionRespModel'
          type: array
          title: Items
          description: List of items returned in the response
      type: object
      required:
        - count
        - items
      title: OffsetPaginatedResponse[ConnectionRespModel]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConnectionRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        vendor:
          type: string
          title: Vendor
        is_active:
          type: boolean
          title: Is Active
        refresh_interval_secs:
          type: integer
          title: Refresh Interval Secs
        timeout_secs:
          type: integer
          title: Timeout Secs
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        oauth2_authorize_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Oauth2 Authorize Url
        identifier:
          anyOf:
            - type: string
            - type: 'null'
          title: Identifier
        state:
          $ref: '#/components/schemas/ConnectionStateEnum'
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        health:
          $ref: '#/components/schemas/ConnectionHealthStatus'
      type: object
      required:
        - id
        - vendor
        - is_active
        - refresh_interval_secs
        - timeout_secs
        - organization_id
        - state
        - created_at
        - updated_at
        - health
      title: Connection
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ConnectionStateEnum:
      type: string
      enum:
        - PENDING
        - ACTIVE
        - PAUSED
        - DELETED
      title: ConnectionStateEnum
    ConnectionHealthStatus:
      properties:
        name:
          $ref: '#/components/schemas/ConnectionHealthStatusName'
        status:
          $ref: '#/components/schemas/ConnectionHealthStatusEnum'
        description:
          type: string
          title: Description
        resolution_owner:
          $ref: '#/components/schemas/ResolutionOwner'
        details:
          anyOf:
            - items:
                $ref: '#/components/schemas/ConnectionHealthUnauthorizedDetail'
              type: array
            - type: 'null'
          title: Details
      type: object
      required:
        - name
        - status
        - description
        - resolution_owner
      title: ConnectionHealthStatus
    ConnectionHealthStatusName:
      type: string
      enum:
        - HEALTHY
        - INITIALIZING
        - UNAUTHORIZED
        - CONNECTION_RECONFIGURATION_REQUIRED
        - VENDOR_CLIENT_ERROR
        - VENDOR_SERVER_ERROR
        - EXECUTION_TIMEOUT
        - RATE_LIMIT_EXCEEDED
        - INTERNAL_ERROR
      title: ConnectionHealthStatusName
    ResolutionOwner:
      type: string
      enum:
        - LEEN
        - CUSTOMER
        - VENDOR
      title: ResolutionOwner
    ConnectionHealthUnauthorizedDetail:
      properties:
        data_export_type:
          anyOf:
            - $ref: '#/components/schemas/DataExportTypesEnum'
            - type: 'null'
        endpoint:
          type: string
          title: Endpoint
      type: object
      required:
        - endpoint
      title: ConnectionHealthUnauthorizedDetail
    DataExportTypesEnum:
      type: string
      enum:
        - alerts
        - compliances
        - compliance_findings
        - config_users
        - cspm_alerts
        - device_groups
        - device_policies
        - devices
        - idp
        - idp_alerts
        - idp_audit_logs
        - idp_policies
        - issues
        - organization_identities
        - sast_issues
        - sca_issues
        - vms_scan_configs
        - vulnerabilities
        - resources
        - vulnerability_findings_v2
        - grc_entity
        - grc_control
        - grc_evidence
        - grc_assessment_question
        - grc_assessment
        - tprm_company
        - tprm_finding
        - findings
        - itsm_users
        - itsm_groups
        - itsm_projects
        - itsm_tickets
        - itsm_attachments
        - itsm_comments
      title: DataExportTypesEnum
  securitySchemes:
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````